HostBusAdaptor (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.HostBusAdaptor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface HostBusAdaptor

All Superinterfaces:
  ConfigurationItem, Controller, LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface HostBusAdaptor

extends Controller, ConfigurationItem

A Fibre Channel HostBusAdaptor.

Naming Rules:
  0="worldWideName"
Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`SCSIProtocolController[]` | `getSCSIProtocolControllers()` The protocol controllers that provide mappings between SCSI and FC
`java.lang.String` | `getWorldWideName()` The SAN WWN of this FC HBA.
`boolean` | `hasSCSIProtocolControllers()`
`boolean` | `hasWorldWideName()`
`void` | `setSCSIProtocolControllers(SCSIProtocolController[] controllers)`
`void` | `setWorldWideName(java.lang.String wwn)`

Methods inherited from interface com.collation.platform.model.topology.dev.Controller
`getName, getParent, getPhysicalPackage, hasName, hasParent, hasPhysicalPackage, setName, setParent, setPhysicalPackage`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getWorldWideName

    java.lang.String getWorldWideName()
                                      throws AttributeNotSetException

  The SAN WWN of this FC HBA.

  Throws:
    `AttributeNotSetException`

### setWorldWideName

    void setWorldWideName(java.lang.String wwn)

### hasWorldWideName

    boolean hasWorldWideName()

### getSCSIProtocolControllers

    SCSIProtocolController[] getSCSIProtocolControllers()
                                                        throws AttributeNotSetException

  The protocol controllers that provide mappings between SCSI and FC

  Throws:
    `AttributeNotSetException`

### setSCSIProtocolControllers

    void setSCSIProtocolControllers(SCSIProtocolController[] controllers)

### hasSCSIProtocolControllers

    boolean hasSCSIProtocolControllers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD